PHP Manual
Prev |  | Next

# DOMDocument->saveHTMLFile()

(no version information, might be only in CVS)

DOMDocument->saveHTMLFile() -- Dumps the internal document into a file using HTML formatting

## Description

class DOMDocument {
int saveHTMLFile ( string filename )
}

Creates an HTML document from the DOM representation. This function is usually called after building a new dom document from scratch as in the example below.

## Parameters

filename

  The path to the saved HTML document.

## Return Values

Returns the number of bytes written or `FALSE` if an error occurred.

## Examples

Example 1. Saving a HTML tree into a file

`<?php
$doc = new DOMDocument('1.0');
// we want a nice output
$doc->formatOutput = true;
$root = $doc->createElement('html');
$root = $doc->appendChild($root);
$head = $doc->createElement('head');
$head = $root->appendChild($head);
$title = $doc->createElement('title');
$title = $head->appendChild($title);
$text = $doc->createTextNode('This is the title');
$text = $title->appendChild($text);
echo 'Wrote: ' . $doc->saveHTMLFile("/tmp/test.html") . ' bytes'; // Wrote: 129 bytes
?>`

## See Also

DOMDocument->saveHTML()
DOMDocument->loadHTML()
DOMDocument->loadHTMLFile()

Prev | Home | Next
DOMDocument->saveHTML() | Up | DOMDocument->saveXML()